#include "led.h"

void LED_GPIO_Config(void)
{		
		/*开启LED相关的GPIO外设时钟*/
		__HAL_RCC_GPIOF_CLK_ENABLE();
		/*定义一个GPIO_InitTypeDef类型的结构体*/
    GPIO_InitTypeDef GPIO_InitStruct = {0};
			/*选择要控制的GPIO引脚*/															   
    GPIO_InitStruct.Pin = LED_PIN;
		/*设置引脚模式为输出模式*/
    GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
		/*设置引脚为上拉模式*/
    GPIO_InitStruct.Pull = GPIO_PULLUP;
		/*设置引脚速率 */  
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
		/*调用库函数，使用上面配置的GPIO_InitStructure初始化GPIO*/
    HAL_GPIO_Init(GPIOF, &GPIO_InitStruct);	
}

void NET_STATUS_LED_Config(void)
{
		/*开启LED相关的GPIO外设时钟*/
		__HAL_RCC_GPIOF_CLK_ENABLE();
		/*定义一个GPIO_InitTypeDef类型的结构体*/
    GPIO_InitTypeDef GPIO_InitStruct = {0};
			/*选择要控制的GPIO引脚*/															   
    GPIO_InitStruct.Pin = NET_STATUS_LED_PIN;
		/*设置引脚模式为输出模式*/
    GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
		/*设置引脚为上拉模式*/
    GPIO_InitStruct.Pull = GPIO_PULLUP;
		/*设置引脚速率 */  
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
		/*调用库函数，使用上面配置的GPIO_InitStructure初始化GPIO*/
    HAL_GPIO_Init(GPIOF, &GPIO_InitStruct);	
}

void STATUS_LED_Config(void)
{
		/*开启LED相关的GPIO外设时钟*/
		__HAL_RCC_GPIOF_CLK_ENABLE();
		/*定义一个GPIO_InitTypeDef类型的结构体*/
    GPIO_InitTypeDef GPIO_InitStruct = {0};
			/*选择要控制的GPIO引脚*/															   
    GPIO_InitStruct.Pin = STATUS_LED_PIN;
		/*设置引脚模式为输出模式*/
    GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
		/*设置引脚为上拉模式*/
    GPIO_InitStruct.Pull = GPIO_PULLUP;
		/*设置引脚速率 */  
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
		/*调用库函数，使用上面配置的GPIO_InitStructure初始化GPIO*/
    HAL_GPIO_Init(GPIOF, &GPIO_InitStruct);
}

